- Qt 5.15
- Qt 3D
- QML Types
- RenderTargetSelector QML Type
- Qt 5.15.16 Reference Documentation

# RenderTargetSelector QML Type

Provides a way of specifying a render target. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Inherits: | FrameGraphNode

- List of all members, including inherited members

## Properties

- drawBuffers : list<variant>
- target : RenderTarget

## Detailed Description

A RenderTargetSelector is used to select active RenderTarget for the FrameGraph. When RenderTargetSelector is present in the FrameGraph, the rendering is directed into Texture objects or draw buffers instead of the surface specified in the RenderSurfaceSelector.

## Property Documentation

drawBuffers : list<variant>

Holds the list of draw buffers enabled for the RenderTarget.

See also Qt3DRender::QRenderTargetOutput::AttachmentPoint.

target : RenderTarget

Holds the current render target